Subject: Ticket Assigned - Promotions or Gift Vouchers
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Sun, 14 Feb 2021 03:50:11 +0000 (UTC)

Hi Manish Kumar,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Promotions or Gift Vouchers Hello 
I tried to place an order through the app to avail the extra 15% off but after I check out and type in all details I got stuck with country and state box.
I called customer service and the guy told me to take a screenshot and send it to you.
I have placed the order on the website but didnt get the extra 15% of nor was  I able to redeem my 7 dhs from shukran. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2095893